Subject: bug#60627: closed (Re: bug#60627: emacs-nadvice package do not generate autoload file.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 04 Oct 2023 09:51:02 +0000

Your bug report

#60627: emacs-nadvice package do not generate autoload file.

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
60627: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=60627
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#60627: emacs-nadvice package do not generate autoload file.
From: Nicolas Goaziou <[email-masked]>
To: Maxim Cournoyer <[email-masked]>
Cc: Feng Shu <[email-masked]>, phodina <[email-masked]>, [email-masked]
Date: Wed, 04 Oct 2023 11:50:31 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Maxim Cournoyer <[email-masked]> writes:

> Nicolas Goaziou <[email-masked]> writes:
>
>> Hello,
>>
>> Feng Shu <[email-masked]> writes:
>>
>>> Nicolas Goaziou <[email-masked]> writes:
>>
>>>> To properly fix this, as the next step, I'm leaning towards removing
>>>> emacs-nadvice package altogether. It is not useful in Guix since we
>>>> provide Emacs 28+.
>>>
>>> agree :-)
>>
>> I'm CC'ing Phodina, since he introduced the package.
>>
>> Phodina: Do you think there is a reason to keep Emacs Nadvice package
>> around?
>
> 38 weeks later, I think you can proceed with the removal and close this
> issue :-)

I know, but it seems the issue apparently disappeared when we updated
nadvice from 0.3 to 0.4, so I lazily opted for status quo while waiting
for an answer.

So, nowadays, I think it doesn't matter much if we remove the package or
not. I'll simply close this bug report unless other issues arise.

Thanks for the heads-up!

Regards,
-- 
Nicolas Goaziou

Subject: emacs-nadvice package do not generate autoload file.
From: Feng Shu <[email-masked]>
To: [email-masked]
Date: Sat, 07 Jan 2023 20:56:11 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

This let emacs --debug-init show the below error:

------------------------------------------------------

Debugger entered--Lisp error: (file-missing "Cannot open load file" "没有那个文件或目录" "/gnu/store/gcvj3grb55ic034b9a56p6m182b2qfdr-emacs-nadvice-0.3/share/emacs/site-lisp/nadvice-0.3/nadvice-autoloads")
  load("/gnu/store/gcvj3grb55ic034b9a56p6m182b2qfdr-emacs-nadvice-0.3/share/emacs/site-lisp/nadvice-0.3/nadvice-autoloads" nil t)
  package-activate-1(#s(package-desc :name nadvice :version (0 3) :summary "Forward compatibility for Emacs-24.4's nadvice" :reqs nil :kind nil :archive nil :dir "/gnu/store/gcvj3grb55ic034b9a56p6m182b2qfdr-emacs-..." :extras ((:maintainer "Stefan Monnier" . "[email-masked]") (:authors ("Stefan Monnier" . "[email-masked]"))) :signed nil) nil deps)
  package-activate(nadvice)
  package-activate-1(#s(package-desc :name compat :version (28 1 2 2) :summary "Emacs Lisp Compatibility Library" :reqs ((emacs (24 3)) (nadvice (0 3))) :kind nil :archive nil :dir "/gnu/store/an425abx04g2hhg11c39h0y63gf6wc3l-emacs-..." :extras ((:url . "https://sr.ht/~pkal/compat") (:keywords "lisp") (:maintainer "Compat Development" . "~pkal/[email-masked]") (:authors ("Philip Kaludercic" . "[email-masked]"))) :signed nil) nil deps)
  package-activate(compat)
  package-activate-1(#s(package-desc :name magit :version (3 3 0 -4) :summary "A Git porcelain inside Emacs." :reqs ((emacs (25 1)) (compat (28 1 1 2)) (dash (20210826)) (git-commit (20220222)) (magit-section (20220325)) (transient (20220325)) (with-editor (20220318))) :kind nil :archive nil :dir "/gnu/store/pg4c1sm7llfh20bxk44z5s2xr525246v-emacs-..." :extras ((:keywords "git" "tools" "vc") (:homepage . "https://magit.vc")) :signed nil) nil deps)
  package-activate(magit)
  package--activate-all()
  package-activate-all()
  package-initialize()
  (if package--initialized nil (package-initialize))
  eval-buffer(#<buffer  *load*-797460> nil "/gnu/store/pszj3mq14iv9wknk3yk0qpx440a1hppg-Emacs-..." nil t)  ; Reading at buffer position 4608
  load-with-code-conversion("/gnu/store/pszj3mq14iv9wknk3yk0qpx440a1hppg-Emacs-..." "/gnu/store/pszj3mq14iv9wknk3yk0qpx440a1hppg-Emacs-..." nil t)
  require(eh-basic)
  eval-buffer(#<buffer  *load*-921378> nil "/gnu/store/pszj3mq14iv9wknk3yk0qpx440a1hppg-Emacs-..." nil t)  ; Reading at buffer position 1235
  load-with-code-conversion("/gnu/store/pszj3mq14iv9wknk3yk0qpx440a1hppg-Emacs-..." "/gnu/store/pszj3mq14iv9wknk3yk0qpx440a1hppg-Emacs-..." nil t)
  require(emacs-helper)
  eval-buffer(#<buffer  *load*> nil "/home/feng/.emacs" nil t)  ; Reading at buffer position 3366
  load-with-code-conversion("/home/feng/.emacs" "/home/feng/.emacs" t t)
  load("~/.emacs" noerror nomessage)
  startup--load-user-init-file(#f(compiled-function () #<bytecode 0x108875929997f362>) #f(compiled-function () #<bytecode -0x1f3c61addc0b8a75>) t)
  command-line()
  normal-top-level()

--